Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Interface ThreadInfo

All Known Implementing Classes:
  ThreadInfoImpl

    public interface ThreadInfo

Version:
  $Revision: 674365 $

Method Summary
`int` | `getCurrentThreadCount()`
`int` | `getCurrentThreadsBusy()`
`int` | `getMaxSpareThreads()`
`int` | `getMaxThreads()`
`int` | `getMinSpareThreads()`
`void` | `setCurrentThreadCount(int value)`
`void` | `setCurrentThreadsBusy(int value)`
`void` | `setMaxSpareThreads(int value)`
`void` | `setMaxThreads(int value)`
`void` | `setMinSpareThreads(int value)`

Method Detail

### getMaxSpareThreads

    int getMaxSpareThreads()

### setMaxSpareThreads

    void setMaxSpareThreads(int value)

### getMinSpareThreads

    int getMinSpareThreads()

### setMinSpareThreads

    void setMinSpareThreads(int value)

### getMaxThreads

    int getMaxThreads()

### setMaxThreads

    void setMaxThreads(int value)

### getCurrentThreadsBusy

    int getCurrentThreadsBusy()

### setCurrentThreadsBusy

    void setCurrentThreadsBusy(int value)

### getCurrentThreadCount

    int getCurrentThreadCount()

### setCurrentThreadCount

    void setCurrentThreadCount(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.